Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.management.util
Class MBeanInfoConfigModelHelper

    java.lang.Object
      com.stc.configuration.visitor.DescendingVisitor
          com.stc.connector.management.util.MBeanInfoConfigModelHelper

All Implemented Interfaces:
  com.stc.configuration.visitor.IVisitor

public class MBeanInfoConfigModelHelper
extends com.stc.configuration.visitor.DescendingVisitor

Utility class for obtaining stuff from eWay configuration model to put in MBeanInfo.

Version:
  $Version$

Constructor Summary
`MBeanInfoConfigModelHelper(STCAdapterConfigurationMonitor cfgMbean)` Constructor

Method Summary
`void` | `addMBeanAttribInfoToList(java.lang.String propName, java.lang.String description)` Adds an MBeanAttributeInfo to the config MBean.
`void` | `addMBeanAttribToList(java.lang.String propName, java.lang.Object propValue)` Sets an MBean Attribute value to the config MBean
`protected void` | `traverse(com.stc.configuration.IParameter configNode)` Visits a Parameter object and adds an MBeanAttribute to the configuration MBean.
`void` | `visit(com.stc.configuration.IHeader h)` Visits a Header object.
`void` | `visitValue(java.lang.Object value, com.stc.configuration.IParameter p)` Visits a parameter value.

Methods inherited from class com.stc.configuration.visitor.DescendingVisitor
`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanInfoConfigModelHelper

    public MBeanInfoConfigModelHelper(STCAdapterConfigurationMonitor cfgMbean)

  Constructor

Parameters:
  `cfgMbean` - configuration MBean this class will populate

Method Detail

### traverse

    protected void traverse(com.stc.configuration.IParameter configNode)
                     throws java.lang.Exception

  Visits a Parameter object and adds an MBeanAttribute to the configuration MBean.

  Throws:
    `java.lang.Exception` - on error.

### addMBeanAttribInfoToList

    public void addMBeanAttribInfoToList(java.lang.String propName,
                                         java.lang.String description)

  Adds an MBeanAttributeInfo to the config MBean. NOTE: The attribute type is String

  Parameters:
    `propName` - parameter name
    `description` - parameter description

### addMBeanAttribToList

    public void addMBeanAttribToList(java.lang.String propName,
                                     java.lang.Object propValue)

  Sets an MBean Attribute value to the config MBean

  Parameters:
    `propName` - parameter name
    `propValue` - parameter value

### visit

    public void visit(com.stc.configuration.IHeader h)

  Visits a Header object.

  Parameters:
    `h` - Header object.

### visitValue

    public void visitValue(java.lang.Object value,
                           com.stc.configuration.IParameter p)

  Visits a parameter value.

  Parameters:
    `value` - Parameter value.
    `p` - parent parameter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD